Issue installing GeoCouch #29

Closed
drdetroit opened this Issue Feb 9, 2012 · 4 comments

Comments

Projects
None yet
2 participants

I'm getting an error when trying to install geocouch:

rake git="git://github.com/vmx/couchdb geocouch"

I get the following error:

....
rm_f /home/2bulls/couch-source/build-couchdb/build/bin/autom4te
git checkout HEAD src/couchdb/priv/couch_js/utf8.h
error: pathspec 'src/couchdb/priv/couch_js/utf8.h' did not match any file(s) known to git.
rake aborted!
Command failed with status (1): [git checkout HEAD src/couchdb/priv/couch_j...]

Member

jhs commented Feb 9, 2012

GeoCouch is now a plugin at github.com/couchbase/geocouch. I will update the README accordingly.

Does this mean I can no longer use build-couchdb to install geocouch? Would it be possible to point to a previous revision that does work.

Member

jhs commented Feb 10, 2012

I use build-couchdb to build GeoCouch every day! So it should work.

However, these days, GeoCouch is a plugin, so you should be doing something like (from memory) rake plugin="git://github.com/couchbase/geocouch origin/master" (or instead of origin/master, a tag which works with CouchDB 1.1.x)

Member

jhs commented Feb 10, 2012

I updated the read me on a different workstation and forgot to git push :) It should reflect the new way to make GeoCouch and once it's pushed I'll close this ticket.

jhs closed this in 14a38e8 Feb 10, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment